> ## Documentation Index
> Fetch the complete documentation index at: https://rendi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File

> Get a stored file and its FFprobe metadata by its ID. Can return a command output file or a stored file. File can be deleted, in which case will still return its properties, 
        but storage_url will be null. Will not return input files.



## OpenAPI

````yaml GET /v1/files/{file_id}
openapi: 3.1.0
info:
  title: FFmpeg Command API
  description: API for running FFmpeg in a cloud environment
  version: 1.0.0
servers:
  - url: https://api.rendi.dev
    description: Rendi - FFmpeg API
security: []
paths:
  /v1/files/{file_id}:
    get:
      tags:
        - API
        - File Management
      summary: Get Stored File
      description: >-
        Get a stored file and its FFprobe metadata by its ID. Can return a
        command output file or a stored file. File can be deleted, in which case
        will still return its properties, 
                but storage_url will be null. Will not return input files.
      operationId: get_file_v1_files__file_id__get
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            description: The UUID of the file to get
            title: File Id
          description: The UUID of the file to get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RendiStoredFile'
        '401':
          description: Invalid API key
          content:
            application/json:
              example:
                detail: Invalid authorization key
        '404':
          description: File not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
      security:
        - APIKeyHeader: []
components:
  schemas:
    RendiStoredFile:
      properties:
        file_id:
          type: string
          title: File Id
          description: Unique identifier for the stored file
          examples:
            - 987fcdeb-a89b-43d3-b456-789012345678
        storage_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Storage Url
          description: URL where the file is stored
          examples:
            - >-
              https://storage.rendi.dev/123e4567-e89b-12d3-a456-426614174000/output.avi
        status:
          anyOf:
            - $ref: '#/components/schemas/FileStatus'
            - type: 'null'
          description: Status of the file
          examples:
            - STORED
        rendi_store_type:
          anyOf:
            - $ref: '#/components/schemas/RendiFileStoreType'
            - type: 'null'
          description: Type of storage of the file in rendi
          examples:
            - STORED_FILE
        error_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Status
          description: Status of any error that occurred during file processing
          examples:
            - UNREACHABLE_INPUT_FILE
        external_error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: External Error Message
          description: Error details if the file failed to be processed
          examples:
            - Input file url https://rendi.dev/example is not reachable.
        is_deleted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Deleted
          description: Whether the file has been deleted
          examples:
            - false
        size_mbytes:
          anyOf:
            - type: number
            - type: 'null'
          title: Size Mbytes
          description: Size of the output file or folder in megabytes
          examples:
            - 15.2
        file_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Count
          description: Number of files in the output folder/playlist
          examples:
            - 5
        size_compressed_mbytes:
          anyOf:
            - type: number
            - type: 'null'
          title: Size Compressed Mbytes
          description: Size of the output compressed folder in megabytes
          examples:
            - 15.2
        original_file_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Original File Url
          description: URL of the original file
          examples:
            - https://somehwereonline.stored.com/file_to_store.mp4
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
          description: Duration of the media file in seconds
          examples:
            - 30.5
        file_type:
          anyOf:
            - type: string
            - type: 'null'
          title: File Type
          description: Type of the media file (video, audio, image, subtitles, etc.)
          examples:
            - video
        file_format:
          anyOf:
            - type: string
            - type: 'null'
          title: File Format
          description: Format/container of the media file
          examples:
            - avi
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
          description: Width of the video in pixels
          examples:
            - 1920
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
          description: Height of the video in pixels
          examples:
            - 1080
        codec:
          anyOf:
            - type: string
            - type: 'null'
          title: Codec
          description: Codec used for the media file
          examples:
            - msmpeg4v2
        timebase:
          anyOf:
            - type: string
            - type: 'null'
          title: Timebase
          description: How time is represented in the media file
          examples:
            - 1/25
        pixel_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Pixel Format
          description: How the pixel data is stored in the media file
          examples:
            - yuv420p
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
          description: MIME type of the media file
          examples:
            - video/mp4
        frame_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Frame Rate
          description: Frame rate of the video in frames per second
          examples:
            - 30
        bitrate_video_kb:
          anyOf:
            - type: number
            - type: 'null'
          title: Bitrate Video Kb
          description: Video bitrate in kilobits per second
          examples:
            - 4000
        bitrate_audio_kb:
          anyOf:
            - type: number
            - type: 'null'
          title: Bitrate Audio Kb
          description: Audio bitrate in kilobits per second
          examples:
            - 128
        video_profile_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Profile Level
          description: Video profile level
          examples:
            - main
        is_varying_frame_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Varying Frame Rate
          description: Whether the video has a variable frame rate
          examples:
            - false
      type: object
      required:
        - file_id
      title: RendiStoredFile
      description: >-
        Represents a file stored by rendi. Could either be an uploaded file or a
        file generated by running a command.


        This model contains metadata about files stored in rendi storage,
        including file details,

        media information, and storage location.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileStatus:
      type: string
      enum:
        - QUEUED
        - DOWNLOADING
        - DOWNLOADED
        - FAILED
        - STORED
      title: FileStatus
    RendiFileStoreType:
      type: string
      enum:
        - INPUT
        - OUTPUT
        - STORED_FILE
      title: RendiFileStoreType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````